## allegro5 5.2.10.0+dfsg

=== debian/changelog ===
allegro5 (2:5.2.10.0+dfsg-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * set Rules-Requires-Root: no

  [ Andreas Rönnquist ]
  * Remove more files from orig.tar
  * New upstream version 5.2.10.0+dfsg
  * Remove patch fix-building-reproducible-1540 - applied upstream
  * Update symbols file
  * Remove unused lintian overrides
  * Fix multiarch install location for cmake package config
  * Remove deleting files in build, already deleted from tarball
  * Add a d/clean

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 29 Nov 2024 15:21:22 +0100

allegro5 (2:5.2.9.1+dfsg-2) unstable; urgency=medium

  * Add patch to build reproducible (Closes: #1064648)
  * Fix mismatched override package-name-doesnt-match-sonames
  * Upgrade to Standards Versin 4.7.0 (No changes required)
  * Add myself to copyright
  * Acknowledge Non-maintainer upload (Closes: #1061885)

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 03 May 2024 12:28:35 +0200

allegro5 (2:5.2.9.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061885

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:52:15 +0000
