=== debian/changelog ===
allegro5 (2:5.2.10.1+dfsg-3) unstable; urgency=medium

  * Drop depends on libdumb to be independent of allegro4
  * Fix lintian redundant-rules-requires-root-no-field

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 04 Oct 2025 19:02:00 +0200

allegro5 (2:5.2.10.1+dfsg-2) unstable; urgency=medium

  * Add patch to build with cmake 4 (Closes: #1112695)
  * Fix lintian warning old-fsf-address-in-copyright-file
  * Update copyright year
  * Upgrade to Standards Version 4.7.2 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 02 Sep 2025 14:23:07 +0200

allegro5 (2:5.2.10.1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.10.1+dfsg

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 09 Jan 2025 14:52:42 +0100
