=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Uploaders: Tobias Hansen <thansen@debian.org>, Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
-               libdumb1-dev,
                libenet-dev,
                libflac-dev,
                libfreetype-dev,
@@ -30,8 +29,7 @@
                python3,
                indent
 Build-Depends-Indep: pandoc, pandoc-data | pandoc (<< 1.11.1-4)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://liballeg.org/
 Vcs-Git: https://salsa.debian.org/games-team/allegro5.git
@@ -120,7 +118,6 @@
          libopenal-dev,
          libopus-dev,
          libpulse-dev,
-         libdumb1-dev,
          libflac-dev,
          libvorbis-dev
 Description: header files for the Allegro 5 audio codec addon
@@ -293,3 +290,7 @@
  revision of the library, designed to take advantage of modern hardware
  (e.g. hardware acceleration using 3D cards) and operating systems.
  Although it is not backwards compatible with earlier versions, it still
+ occupies the same niche and retains a familiar style.
+
+Package: liballegro-ttf5.2t64
+Provides: ${t64:Provides}
